POST
groups/{groupID}/twins
Creates a new twin according to the given definition.
Resource Information
| Method and URI | POST https://developer.api.autodesk.com/tandem/v1/groups/{groupID}/twins |
| Authentication Context | user context optional |
| Required OAuth Scopes | data:write |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a two-legged access token obtained via a Client Credentials Grant flow, or a three-legged access token obtained via Authorization Code flow, Authorization Code flow with PKCE, or Secure Service Account flow (for headless scenarios). |
| Region string | Specifies the region where your request should be routed. Possible values: US, EMEA. For more details, see Regions. |
| Content-Type* string | Must be application/json |
* Required
Request
URI Parameters
| groupID string | Group URN |
Request
Body Structure
Twin creation payload
Expand all
| settings object | |
| boundByUpperFloor boolean | Use overhead floor slab as upper bounds for room assignment |
| dateCreated string | Date of creation of the facility. |
| docs array: object | List of documents linked to the facility. |
| accAccountId string | Optional account ID of Autodesk Docs where original document is stored |
| accLineage string | Optional item id of document |
| accProjectId string | Optional project ID of Autodesk Docs where original document is stored |
| accVersion string | Optional version of of document |
| contentType string | content type (i.e. application/pdf) |
| id string | Unique id of document |
| label string | Optional label |
| lastUpdated string | Optional timestamp of last modification (ISO 8601 format) |
| name string | Document name |
| s3Path string | S3 storage location |
| signedLink string | Optional signed URL |
| uploadPending boolean | Optional readability of a document |
| links array: object | List of models linked to the facility. |
| accessLevel int | Level of access to the corresponding resource. |
| disciplines array: string | |
| label string | |
| main boolean | |
| modelId string | |
| on boolean | |
| props object | |
| Identity Data object | |
| Address string | |
| Building Name string | |
| Owner string | |
| Project Name string | |
| timeZone string | TimeZone IANA identifier from iana.org/time-zones |
| Other object | |
| Project Number string | |
| handover object | |
| receiverId string | |
| receiverName string | Cached details on the receiver’s account |
| twinId string | URN of the transferred Twin |
| schemaVersion int | Schema version used by the models of this twin |
| skipRoomBounders boolean | Don’t assign walls/ceilings/floors to rooms |
| thumbnailLastUpdate int | Timestamp of the last thumbnail update in Unix milliseconds. |
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | The service was unable to process the request. The syntax of the request may be malformed or the request may be missing a required header. Do not resend the request without fixing the issue. The response body may indicate what is wrong with the request. |
| 403 Forbidden | Unauthorized |
| 500 Internal Server Error | The service encountered an error that it was unable to handle. Wait for a few minutes and resend the request. If the error persists, contact us at aps.help@autodesk.com. |
Response
Header (200)
| Etag integer | Identifies specific version of resource. Specifies time stamp when resource was updated. |
Response
Body Structure (200)
| k string | URN of the created twin |
| t int | timestamp of actual creation |